package kz.arta.synergy.workflow.mobile.android.files.models;

import java.io.Serializable;
import java.util.List;

/**
 * Created by neox on 01.10.15.
 * Нода хранилища
 */
public class Node implements Serializable {

    /**
     * Идентификатор ноды
     */
    private String identifier;

    /**
     * Папка или файл
     */
    private boolean is_folder;

    /**
     * Размер файла в байтах
     */
    private String size;

    /**
     * Абсолютный путь до файла
     */
    private String path;

    /**
     * Имя ноды
     */
    private String name;

    /**
     * Когда выполнялось последнее изменение
     */
    private String modified;

    /**
     * Имя пользователя последним изменившим ноду
     */
    private String userName;

    /**
     * Идентификатор пользователя последним изменвившим ноду
     */
    private String userID;

    /**
     * Права на текущую ноду
     */
    private int right;

    /**
     * Иконка
     */
    private String icon;

    /**
     * Идентификатор родителя
     */
    private String parentID;

    /**
     * ai_type
     */
    private String ai_type;

    /**
     * Родители текущей ноды
     */
    private List<String> parents;

    /**
     * Имеются ли дочерние
     */
    private boolean notEmpty;

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public boolean is_folder() {
        return is_folder;
    }

    public void setIs_folder(boolean is_folder) {
        this.is_folder = is_folder;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getModified() {
        return modified;
    }

    public void setModified(String modified) {
        this.modified = modified;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public int getRight() {
        return right;
    }

    public void setRight(int right) {
        this.right = right;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getAi_type() {
        return ai_type;
    }

    public void setAi_type(String ai_type) {
        this.ai_type = ai_type;
    }

    public List<String> getParents() {
        return parents;
    }

    public void setParents(List<String> parents) {
        this.parents = parents;
    }

    public String getParentID() {
        return parentID;
    }

    public void setParentID(String parentID) {
        this.parentID = parentID;
    }

    public boolean isNotEmpty() {
        return notEmpty;
    }

    public void setNotEmpty(boolean notEmpty) {
        this.notEmpty = notEmpty;
    }
}
